<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작업날짜 : 2024년 04월 07일 일요일 오후 20시 24분 / 맑음, 19.0, 일교차 주의, 22, 6, 0%, 0%, 1.3ms / 상당히 나쁨, 77, 43, 0.012

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 관리자 > 프로그램 > 피리 카페 관리 > 카페 분류 관리 > 삭제하기 > 처리하기
=====================================================================


*/

  include_once('./_common.php' );

  auth_check_menu($auth, $sub_menu, 'w');

  $get__p770099 = 1;

  $prog_config_page = 0;

  include_once( piree__path($sub_menu, 'config') );

/*
  * PIREE_SOSS
  * 피리 PIREE ( piree1977@gmail.com )
  * Ver 2.0.0
*/

  include_once( piree__path($piree_prog_a[770000]['num'], 'save.lib.php') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'category.smallint.2.lib.php') );

  $cate_n = save__str($_POST['cate_n']);

  $cate_n = (int)$cate_n;

  IF ( !$cate_n )
  {
      alert ("필요한 카페 분류 번호가 전달되지 않았습니다.");
  }

  $sql_select  = "SELECT * FROM `". $piree['category'] ."` ";
  $sql_select .= "WHERE `cate_n` = '". $cate_n ."'";
  $category_row = sql_fetch($sql_select);

  IF ( $cate_n != $category_row['cate_n'] )
  {
      alert ("DB에 카페 분류 정보가 없습니다.");
  }

  IF ( !$category_row['cate_name_l_s'] )
  {
      alert ("필요한 카페 분류 정보가 없습니다.");
  }

  IF ( $category_row['cate_sub_t'] > 0 )
  {
      alert ("하위 카페 분류가 ". number_format($category_row['cate_sub_t']) ."개 있습니다.\\n\\n하위카페 분류를 모두 삭제후에 삭제시도해 주세요.");
  }

      $sql_delete  = "DELETE FROM `". $piree['category'] ."` ";
      $sql_delete .= "WHERE `cate_n` = '". $cate_n ."'";

      IF ( !sql_query($sql_delete) )
      {

          alert ("[ ". $category_row['category_s'] ." ]카페 분류를 삭제하지 못했습니다.");
      }

      $category_i_a = get_category_upper_smallint2($cate_n);

      get_sub_category_count_depth_smallint2($category_i_a, $cate_n);

  $go_url_s = "category.list.php";

  goto_url($go_url_s);
  EXIT;

?>